# https://github.com/andybalholm/cascadia
%global goipath         github.com/andybalholm/cascadia
Version:                1.2.0

%gometa

%global common_description %{expand:
The Cascadia package implements CSS selectors for use with the parse trees
produced by the html package.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 5
Summary:        CSS selector library in Go
Group:          Development/Golang

# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(golang.org/x/net/html)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%files
%gopkgfiles


%changelog
* Fri Jul 04 2025 umeabot <umeabot> 1.2.0-5.mga10
+ Revision: 2245777
- Mageia 10 Mass Rebuild

* Fri Jul 04 2025 daviddavid <daviddavid> 1.2.0-4.mga10
+ Revision: 2245036
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Wed Mar 23 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1822001
- Mageia 9 Mass Rebuild

* Fri Nov 19 2021 guillomovitch <guillomovitch> 1.2.0-2.mga9
+ Revision: 1757997
- rebuild for mageia 9, without bootstrap

* Fri Sep 04 2020 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1621532
- imported package golang-github-andybalholm-cascadia

